dbus_client 0.0.0-dev.11

discontinued unlisted

A native Dart implementation of the D-Bus message bus client. This package allows Dart applications to directly access services on the Linux desktop.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  dbus_client: ^0.0.0-dev.11

2. Install it

You can install packages from the command line:

with pub:

$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:dbus_client/dbus.dart';
3
likes
0
pub points
48%
popularity

A native Dart implementation of the D-Bus message bus client. This package allows Dart applications to directly access services on the Linux desktop.

Repository (GitHub)
View/report issues

Documentation

API reference

Uploaders

marcus.tomlinson@canonical.com
robert.ancell@canonical.com

More

Packages that depend on dbus_client